Skip to main content

Get task template

GET
/task-templates/{id}

Returns the metadata and complete immutable configuration snapshot of the selected template.

Contract

Parameter
Value
Sectiontask-templates
AuthenticationCookieAuth
Consumesnot required
Producesapplication/json

Parameters

1 parameter

Name
Location
Required
Type
Description
idpathyesintegerTemplate ID

Responses

5 responses

Status
Description
Type
200
Successful responseobject
400
Invalid IDobject
401
Unauthorizedobject
404
Template not foundobject
500
Internal server errorobject
  • {
      "ID": 0,
      "accessPlane": [
        {}
      ],
      "comment": "<string>",
      "configuration": [
        {}
      ],
      "controlPlane": [
        {}
      ],
      "createdAt": "<string>",
      "description": "<string>",
      "dumps": {},
      "issuer": {
        "agreementAccepted": true,
        "createdAt": "<string>",
        "deletedAt": "<string>",
        "email": "<string>",
        "group": {
          "createdAt": "<string>",
          "deletedAt": "<string>",
          "id": 0,
          "issuer": {},
          "issuerID": 0,
          "name": "<string>",
          "permissions": [
            {}
          ],
          "updatedAt": "<string>",
          "users": [
            {}
          ]
        },
        "groupID": 0,
        "id": 0,
        "isActive": true,
        "isRequiredToSetPassword": true,
        "lastLogin": "<string>",
        "notificationsReadAt": "<string>",
        "passwordLength": 0,
        "realName": "<string>",
        "updatedAt": "<string>"
      },
      "issuerID": 0,
      "name": "<string>",
      "updatedAt": "<string>"
    }
  • {
      "data": {},
      "error": "<string>"
    }
  • {
      "data": {},
      "error": "<string>"
    }
  • {
      "data": {},
      "error": "<string>"
    }
  • {
      "data": {},
      "error": "<string>"
    }